# gds-option - React

## Import

```typescript
import { GdsOption } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsOption>
  {/* content */}
</GdsOption>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-select` | `onGdsSelect` | `onGdsSelect={handler}` |
